Skip to main content
`Ctrl`+`K`

# SNESLineSearchView

Prints useful information about the line search

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchView(SNESLineSearch linesearch, PetscViewer viewer)

Logically Collective

## Input Parameters

- linesearch - line search context

- viewer - the `PetscViewer` to display the line search information to

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `PetscViewer`, `SNESLineSearchCreate()`

## Level

intermediate

## Location

src/snes/linesearch/interface/linesearch.c

## Implementations

SNESLineSearchView_BT() in src/snes/linesearch/impls/bt/linesearchbt.c
SNESLineSearchView_NLEQERR() in src/snes/linesearch/impls/nleqerr/linesearchnleqerr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages